> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Whitelisted IP

> Get a list of all the IP addresses that have been whitelisted for proxy use.



## OpenAPI

````yaml get /go-api/v1/ipWhite/list
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/ipWhite/list:
    get:
      tags: []
      summary: List Whitelisted IP
      description: >-
        Get a list of all the IP addresses that have been whitelisted for proxy
        use.
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type to filter the list by. Use: 1 for Rotating
            Residential, 2 for Rotating Mobile, 3 for Rotating Datacenter. If
            omitted, all proxy types will be returned.
          required: false
          schema:
            type: integer
            title: proxyType
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIpWhiteListResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetIpWhiteListResponseModel:
      properties:
        whiteList:
          items:
            $ref: '#/components/schemas/IpWhiteListResponseModel'
          type: array
          title: whiteList
      type: object
      required:
        - whiteList
      title: GetIpWhiteListResponseModel
    IpWhiteListResponseModel:
      properties:
        clientIp:
          type: string
          title: clientIp
          description: The whitelisted IP address.
          example: 1.1.1.1
        proxyType:
          type: integer
          title: proxyType
          description: The proxy type associated with the IP.
          example: 1 - Rotating Residential
        remark:
          type: string
          title: remark
          description: Optional remark or description about the whitelisted IP.
          example: home
      type: object
      required:
        - clientIp
        - proxyType
        - remark
      title: IpWhiteListResponseModel

````